
package com.tmerclub.cloud.distribution.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 分销员信息VO
 *
 * @author cl
 * @date 2021-08-09 14:14:07
 */
public class DistributionUserVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "促销员表")
    private Long distributionUserId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "上级id")
    private Long parentId;

    @Schema(description = "上级促销员ids （如：1,2,3）")
    private String parentIds;

    @Schema(description = "目前促销员所处层级（0顶级）")
    private Integer grade;

    @Schema(description = "绑定时间")
    private Date bindTime;
    /**
     * DistributionUserStateEnum
     */
    @Schema(description = "状态(-1永久封禁 0待审核状态 1正常 2暂时封禁 3 审核未通过)")
    private Integer state;

    @Schema(description = "昵称")
    private String nickName;

    @Schema(description = "头像路径")
    private String pic;

    @Schema(description = "分销员手机号")
    private String userMobile;

    @Schema(description = "真实姓名")
    private String realName;

    @Schema(description = "身份证号码")
    private String identityCardNumber;

    @Schema(description = "身份证正面")
    private String identityCardPicFront;

    @Schema(description = "身份证背面")
    private String identityCardPicBack;

    @Schema(description = "手持身份证")
    private String identityCardPicHold;

    @Schema(description = "改变成永久封禁或者暂时封禁时的状态记录")
    private Integer stateRecord;

    @Schema(description = "邀请人手机号")
    private String inviteeMobile;

    @Schema(description = "邀请人名称")
    private String invitee;

    @Schema(description = "累计客户")
    private Integer boundCustomers;

    @Schema(description = "累计邀请")
    private Integer invitedVeeker;

    @Schema(description = "累计收益")
    private Double accumulateAmount;

    public Long getDistributionUserId() {
        return distributionUserId;
    }

    public void setDistributionUserId(Long distributionUserId) {
        this.distributionUserId = distributionUserId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getParentIds() {
        return parentIds;
    }

    public void setParentIds(String parentIds) {
        this.parentIds = parentIds;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getUserMobile() {
        return userMobile;
    }

    public void setUserMobile(String userMobile) {
        this.userMobile = userMobile;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdentityCardNumber() {
        return identityCardNumber;
    }

    public void setIdentityCardNumber(String identityCardNumber) {
        this.identityCardNumber = identityCardNumber;
    }

    public String getIdentityCardPicFront() {
        return identityCardPicFront;
    }

    public void setIdentityCardPicFront(String identityCardPicFront) {
        this.identityCardPicFront = identityCardPicFront;
    }

    public String getIdentityCardPicBack() {
        return identityCardPicBack;
    }

    public void setIdentityCardPicBack(String identityCardPicBack) {
        this.identityCardPicBack = identityCardPicBack;
    }

    public String getIdentityCardPicHold() {
        return identityCardPicHold;
    }

    public void setIdentityCardPicHold(String identityCardPicHold) {
        this.identityCardPicHold = identityCardPicHold;
    }

    public Integer getStateRecord() {
        return stateRecord;
    }

    public void setStateRecord(Integer stateRecord) {
        this.stateRecord = stateRecord;
    }

    public String getInviteeMobile() {
        return inviteeMobile;
    }

    public void setInviteeMobile(String inviteeMobile) {
        this.inviteeMobile = inviteeMobile;
    }

    public String getInvitee() {
        return invitee;
    }

    public void setInvitee(String invitee) {
        this.invitee = invitee;
    }

    public Integer getBoundCustomers() {
        return boundCustomers;
    }

    public void setBoundCustomers(Integer boundCustomers) {
        this.boundCustomers = boundCustomers;
    }

    public Integer getInvitedVeeker() {
        return invitedVeeker;
    }

    public void setInvitedVeeker(Integer invitedVeeker) {
        this.invitedVeeker = invitedVeeker;
    }

    public Double getAccumulateAmount() {
        return accumulateAmount;
    }

    public void setAccumulateAmount(Double accumulateAmount) {
        this.accumulateAmount = accumulateAmount;
    }

    @Override
    public String toString() {
        return "DistributionUserVO{" +
                "distributionUserId=" + distributionUserId +
                ", userId=" + userId +
                ", parentId=" + parentId +
                ", parentIds='" + parentIds + '\'' +
                ", grade=" + grade +
                ", bindTime=" + bindTime +
                ", state=" + state +
                ", nickName='" + nickName + '\'' +
                ", pic='" + pic + '\'' +
                ", userMobile='" + userMobile + '\'' +
                ", realName='" + realName + '\'' +
                ", identityCardNumber='" + identityCardNumber + '\'' +
                ", identityCardPicFront='" + identityCardPicFront + '\'' +
                ", identityCardPicBack='" + identityCardPicBack + '\'' +
                ", identityCardPicHold='" + identityCardPicHold + '\'' +
                ", stateRecord=" + stateRecord +
                ", inviteeMobile='" + inviteeMobile + '\'' +
                ", invitee='" + invitee + '\'' +
                ", boundCustomers=" + boundCustomers +
                ", invitedVeeker=" + invitedVeeker +
                ", accumulateAmount=" + accumulateAmount +
                '}';
    }
}
